## directfb 1.7.7

=== gfxdrivers/davinci/kernel-module/Makefile ===
KERNEL_VERSION = $(shell uname -r)
KERNEL_MODLIB  = /lib/modules/$(KERNEL_VERSION)
KERNEL_BUILD   = $(KERNEL_MODLIB)/build
KERNEL_SOURCE  = $(KERNEL_MODLIB)/source

SUB=c64x

export CONFIG_DAVINCI_C64X=m

ifeq ($(shell test -e $(KERNEL_BUILD)/include/linux/autoconf.h && echo yes),yes)
  AUTOCONF_H = -include $(KERNEL_BUILD)/include/linux/autoconf.h
endif

ifeq ($(shell test -e $(KERNEL_BUILD)/include/linux/config.h && echo yes),yes)
  CPPFLAGS += -DHAVE_LINUX_CONFIG_H
endif

CPPFLAGS += -DMODULE

.PHONY: all install clean

it all:
	$(MAKE) -C $(KERNEL_BUILD) \
		KCPPFLAGS="$(CPPFLAGS) -I$(shell pwd)/include -I$(KERNEL_BUILD)/include" \
		SUBDIRS=$(shell pwd)/$(SUB) ARCH=arm CROSS_COMPILE=arm-v4t-linux-gnueabi- modules

install: all

clean:
	$(RM) -r $(SUB)/.tmp_versions $(SUB)/Module.symvers
	find $(SUB) -name *.o -o -name *.ko -o -name .*.cmd -o -name *.mod.* | xargs rm -f

so: it
	find $(SUB) -name "*.ko" | xargs strip -x -R .comment -R .note

=== gfxdrivers/sh772x/kernel-module/Makefile ===
obj-m += sh772x_gfx.o

sh772x_gfx-y += sh772x_driver.o sh7722.o sh7723.o

=== gfxdrivers/davinci/kernel-module/c64x/Makefile ===
obj-$(CONFIG_DAVINCI_C64X) += c64x.o

## directfb 1.2.10.0

=== debian/changelog ===
directfb (1.2.10.0-8+deb9u1) stretch; urgency=medium

  * debian/libdirectfb-1.2-9.install: Fix architecture-based filter to
    actually install drivers. (Closes: #878324)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 03 Feb 2018 15:50:59 +0100

directfb (1.2.10.0-8) unstable; urgency=medium

  * debian/*.install: Also install davinci_c64x on armhf.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 01 Jan 2017 13:58:58 +0100

directfb (1.2.10.0-7) unstable; urgency=medium

  * debian/control: Remove libmpeg3-dev again. It was copied by accident from
    the version for experimental.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 31 Dec 2016 19:21:17 +0100

directfb (1.2.10.0-6) unstable; urgency=medium

  * Acknowledge NMU. (Closes: #751764)
  * Merge changes from 1.4.17-1.
  * Update upstream homepage to directfb.net everywhere.
  * debian/{control,rules,compat}: Bump debhelper compat to 10.
  * Use -dbgsym packages. (Closes: #703157)
  * debian/rules:
    - Use dh more consistently.
    - Install NEWS as changelog.
  * debian/*.install:
    - Update for Multi-Arch paths.
    - Use dh-exec to simplify install files.
    - No longer install directfb-config. directfb provides pkg-config files.
    - Move directfb-csource to -bin.
    - Do not install static libraries of drivers.
  * debian/{control,rules}: Remove udebs since GTK+ 2 switched to X11 years
    ago.
  * debian/control:
    - Adopt package. (Closes: #844130)
    - Update Vcs-*.
    - Bump Standards-Version to 3.9.8.
    - Remove duplicate sections.
    - Mark as M-A: same where possible.
  * debian/{rules,preinst}: Replace symlinks with directories.
  * debian/copyright: Convert to CF-1.0.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 31 Dec 2016 15:42:31 +0100

directfb (1.2.10.0-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on x32. (Closes: #699867)

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 15 Feb 2016 00:17:49 +0100

directfb (1.2.10.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/control: drop build depend on libts-dev. 
  * d/libdirectfb-1.2-9.install.*: drop install libdirectfb_tslib.so
  * d/libdirectfb-dev.install.*: drop install libdirectfb_tslib.a
  * d/control: bump Standards-Version to 3.9.6 (no changes needed).

 -- Hector Oron <zumbi@debian.org>  Mon, 16 Jun 2014 13:51:00 +0200

directfb (1.2.10.0-5) unstable; urgency=low

  * Update debian/control:
    - bump debhelper build dependency to 9.
    - drop libsysfs-dev build dependency. (Closes: #627651)
    - bump Standards-Version to 3.9.3 (no changes needed).
  * Add debian/patches/100_fix_format_string_errors.patch:
    Fix FTBFS with -Werror=format-security. Thanks to Micah Gersten.
    (Closes: #645809)
  * libpng1.5 transition:
    - add support for libpng 1.5. (Closes: #648138)
    - replace libpng12-dev build dependency by libpng-dev. (Closes: #662302)
  * Add multiarch support. (Closes: #663039)

 -- Fathi Boudra <fabo@debian.org>  Sat, 19 May 2012 20:22:53 +0300

directfb (1.2.10.0-4.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "directfb ftbfs on armel. Implicit declaration error"
    - Thanks Peter Green for bug report and patch (Closes: #644782)
  * Remove m4 macros when calling clean target 

 -- Hector Oron <zumbi@debian.org>  Mon, 17 Oct 2011 12:53:01 +0100

directfb (1.2.10.0-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Changed designation of the architecture for libsysfs-dev and libts-dev
    from list of architectures to linux-any. (Closes: #596949, #634512)
  * Fix Build on Renesas sh4. (Closes: #635888)
    Update patches/02_fix_sh772x_build.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 10 Aug 2011 07:27:09 +0900

directfb (1.2.10.0-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix typo for LDFLAGS. (Closes: #624875, #625178)

 -- Andres Mejia <amejia@debian.org>  Sun, 24 Jul 2011 13:19:08 -0400

directfb (1.2.10.0-4) unstable; urgency=low

  * Drop libmpeg3-dev build-dependency/dependency. (Closes: #507527)
  * Conflict on armel architecture only. (Closes: #584617)
  * Bump Standards-Version to 3.9.0 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Wed, 30 Jun 2010 20:50:02 +0300

directfb (1.2.10.0-3) unstable; urgency=low

  * Add missing Conflicts against libdirectfb-1.2-0 on armel architecture.
    (Closes: #576835)

 -- Fathi Boudra <fabo@debian.org>  Fri, 16 Apr 2010 14:41:01 +0300

directfb (1.2.10.0-2) unstable; urgency=low

  * Keep wilcard usage to install libdirectfb. Fix kfreebsd FTBFS.

 -- Fathi Boudra <fabo@debian.org>  Thu, 25 Mar 2010 09:44:25 +0100

directfb (1.2.10.0-1) unstable; urgency=low

  * Rename binary packages caused by a soname change.
  * Fix some lintian warnings.

 -- Fathi Boudra <fabo@debian.org>  Thu, 25 Mar 2010 08:28:33 +0100

directfb (1.2.10really1.2.8-1) unstable; urgency=medium

  * Restore directfb 1.2.8 as 1.2.10really1.2.8 to avoid more breakage during
    libjpeg transition. (Closes: #569815)

 -- Fathi Boudra <fabo@debian.org>  Sun, 14 Feb 2010 19:58:46 +0100

directfb (1.2.10-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sun, 14 Feb 2010 11:05:38 +0100

directfb (1.2.9-1) unstable; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Update debian/control:
    - Remove quilt build dependency.
    - Update (build-)dependency on libjpeg62-dev to libjpeg-dev.
      (Closes: #569232)
    - Bump Standards-Version to 3.8.4 (no changes needed).
    - Fix typo in package description: "This packages". (Closes: #557502)
  * Update debian/rules:
    - Enable parallel build (pass --parallel option to dh).

 -- Fathi Boudra <fabo@debian.org>  Sun, 14 Feb 2010 09:58:07 +0100

directfb (1.2.8-5) unstable; urgency=low

  * Apply patch from Samuel Thibault to fix FTBFS on non-linux ports.
    (Closes: #550889)
  * Bump Standards-Version from 3.8.0 to 3.8.2 (no changes needed).



=== debian/control ===
Source: directfb
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper (>= 10),
 dh-exec,
 libfreetype6-dev,
 libgl1-mesa-dev,
 libjpeg-dev,
 libpng-dev,
 libx11-dev,
 libxext-dev,
 pkg-config,
 x11proto-core-dev,
 zlib1g-dev
Standards-Version: 3.9.8
Section: libs
Homepage: http://www.directfb.net
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/directfb.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/directfb.git

Package: libdirectfb-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libdirectfb-1.2-9 (= ${binary:Version}),
 libdirectfb-extra,
 libfreetype6-dev,
 libgl1-mesa-dev,
 libjpeg-dev,
 libpng-dev,
 libx11-dev,
 libxext-dev,
 pkg-config,
 x11proto-core-dev,
 zlib1g-dev,
 ${misc:Depends}
Description: direct frame buffer graphics library - development files
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the files needed to compile and link programs
 which use DirectFB.

Package: libdirectfb-1.2-9
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: direct frame buffer graphics (shared libraries)
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the shared libraries and drivers.

Package: libdirectfb-bin
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks: libdirectfb-dev (<< 1.2.10.0-6)
Replaces: libdirectfb-dev (<< 1.2.10.0-6)
Description: direct frame buffer graphics - binaries
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the DirectFB background configuration tool
 and the source generation tool.

Package: libdirectfb-extra
Architecture: any
Multi-Arch: same
Depends:
 libdirectfb-1.2-9 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: direct frame buffer graphics - extra providers
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the following providers:
 .
   * image PNG
   * image JPEG
   * font FreeType
   * system X11

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-format

include /usr/share/dpkg/architecture.mk

ifeq ($(DEB_HOST_ARCH_OS), linux)
  conf_options := \
    --with-gfxdrivers=all \
    --enable-video4linux2
else
  conf_options := \
    --with-gfxdrivers=none \
    --with-inputdrivers=ps2mouse
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		$(conf_options) \
		--enable-static \
		--enable-unique \
		--disable-sdl \
		--disable-vnc \
		--enable-x11

override_dh_auto_install:
	dh_auto_install -- -j1

override_dh_installchangelogs:
	dh_installchangelogs NEWS

.PHONY: override_dh_auto_test

## directfb 1.4.3

=== debian/changelog ===
directfb (1.4.3-1) experimental; urgency=low

  * New upstream release. (Closes: #549633)
    - Add pxa3xx, new driver for the 2D graphics accelerator found on PXA3xx
      processors.
  * Fix FTBFS on kFreeBSD: update per-architecture install files.
    (Closes: #565853)
  * Switch to dpkg-source 3.0 (quilt) format.
  * Update debian/control:
    - Remove quilt build dependency.
    - Update (build-)dependency on libjpeg62-dev to libjpeg-dev.
    - Bump Standards-Version to 3.8.4 (no changes needed).
    - Fix typo in package description: "This packages". (Closes: #557372)
  * Update debian/rules:
    - Enable parallel build (pass --parallel option to dh).

 -- Fathi Boudra <fabo@debian.org>  Sun, 14 Feb 2010 10:50:34 +0100

directfb (1.4.1-2) experimental; urgency=low

  * Merge changes from 1.2 series:
    - Use per-architecture install files.
    - Add missing libdavinci_c64x library and c64x include on armel
      architecture.
  * Update debian/control:
    - Bump Standards-Version from 3.8.2 to 3.8.3 (no changes needed).
  * Add debian/README.source file.

 -- Fathi Boudra <fabo@debian.org>  Sun, 16 Aug 2009 19:51:17 +0200

directfb (1.4.1-1) experimental; urgency=low

  * New upstream release. (Closes: #537224)
    - Add gl gfx driver and zytronic input driver.
    - debian/patches/05_link_dynamic.patch: Refreshed.
    - debian/patches/93_fix_unicode_key_handling.patch: Refreshed.
  * Update debian/control:
    - Add libgl1-mesa-dev build dependency and dependency to libdirectfb-dev
      package.
  * Update debian/libdirectfb-1.4-0.install file.
  * Update debian/debian/libdirectfb-dev.install file.

 -- Fathi Boudra <fabo@debian.org>  Sat, 15 Aug 2009 12:40:36 +0200

=== debian/control ===
Source: directfb
Priority: optional
Maintainer: Debian DirectFB Team <pkg-directfb-devel@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Otavio Salvador <otavio@debian.org>, Luis Mondesi <lemsx1@gmail.com>
Build-Depends: debhelper (>= 7.4.13), autoconf, automake,
 libtool, pkg-config, libfreetype6-dev, libjpeg-dev, libpng12-dev,
 libts-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libmpeg3-dev, zlib1g-dev, x11proto-core-dev, libx11-dev, libxext-dev,
 libsysfs-dev [alpha amd64 arm armel avr32 hppa i386 ia64 m68k mips mipsel powerpc ppc64 s390 sh4],
 libgl1-mesa-dev
Standards-Version: 3.8.4
Section: libs
Homepage: http://www.directfb.org/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-directfb/directfb/
Vcs-Svn: svn://svn.debian.org/pkg-directfb/directfb/trunk/

Package: libdirectfb-1.4-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: direct frame buffer graphics - shared libraries
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.

Package: libdirectfb-1.4-0-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: libdirectfb-1.4-0
Description: direct frame buffer graphics - shared libraries
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the shared libraries for use with the Debian
 installer.

Package: libdirectfb-bin
Section: libs
Architecture: any
Depends: libdirectfb-1.4-0 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: direct frame buffer graphics - binaries
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the DirectFB background configuration tool
 and the directfbrc man page.

Package: libdirectfb-bin-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: libdirectfb-1.4-0-udeb (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: direct frame buffer graphics - binaries
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the DirectFB dfbinfo debugging tool.

Package: libdirectfb-extra
Section: libs
Architecture: any
Depends: libdirectfb-1.4-0 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: direct frame buffer graphics - extra providers
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the following providers:
 .
   * image PNG
   * image JPEG
   * font FreeType
   * system X11

Package: libdirectfb-dev
Section: libdevel
Architecture: any
Depends: libdirectfb-1.4-0 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends},
 libdirectfb-extra, libfreetype6-dev, libjpeg-dev, libpng12-dev,
 zlib1g-dev (>= 1:1.1.3), libmpeg3-dev, x11proto-core-dev, libx11-dev,
 libxext-dev, libsysfs-dev, libgl1-mesa-dev
Description: direct frame buffer graphics library - development files
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the files needed to compile and link programs
 which use DirectFB.

Package: libdirectfb-1.4-0-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libdirectfb-1.4-0 (= ${binary:Version}), ${misc:Depends}
Description: direct frame buffer graphics - shared libraries debug symbols
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains DirectFB shared libraries debugging symbols.

Package: libdirectfb-bin-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libdirectfb-1.4-0-dbg (= ${binary:Version}),
 libdirectfb-bin (= ${binary:Version}), ${misc:Depends}
Description: direct frame buffer graphics - binaries debug symbols
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains DirectFB binaries debugging symbols.

Package: libdirectfb-extra-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libdirectfb-1.4-0-dbg (= ${binary:Version}),
 libdirectfb-extra (= ${binary:Version}), ${misc:Depends}
Description: direct frame buffer graphics - extra provider debug symbols
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains DirectFB extra provide debugging symbols.

## directfb 1.7.7

=== debian/changelog ===
directfb (1.7.7-11.1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:32:41 +0000

directfb (1.7.7-11.1ubuntu1) noble; urgency=medium

  * debian/patches/64-bit-time-t-compat.patch: 64-bit time_t
    compatibility for linux input_events.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 17 Mar 2024 17:25:58 +0000

directfb (1.7.7-11.1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:19:46 +0000

directfb (1.7.7-11.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062332

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2024 01:36:26 +0000

directfb (1.7.7-11) unstable; urgency=medium

  * QA upload.
  * Ship c64xdump on armel/armhf.  (Closes: #1012383)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 06 Jun 2022 21:26:27 +0200

directfb (1.7.7-10) unstable; urgency=medium

  [ Andreas Beckmann ]
  * QA upload.
  * Make the package buildable with gbp.
  * Switch to debhelper-compat (= 13).
  * The bullseye toolchain defaults to linking with --as-needed.
  * Set Rules-Requires-Root: no.
  * Update Lintian overrides.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

 -- Andreas Beckmann <anbe@debian.org>  Wed, 06 Apr 2022 18:18:54 +0200

directfb (1.7.7-9) unstable; urgency=medium

  * QA upload.
  * Add missing #include to ensure makedev() is defined.  (Closes: #924327)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 16 Mar 2019 17:29:57 +0100

directfb (1.7.7-8) unstable; urgency=medium

  * QA upload.
  * Tweak reproducible patch on top of new release.

  [ Reiner Herrmann ]
  * d/p/reproducible_build.patch:
    Make build reproducible (Closes: #828745)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Mar 2018 18:33:45 +0200

directfb (1.7.7-7) unstable; urgency=medium

  * QA upload.
  * debian/patches: Fix client->gfx_state initialisation. (LP: #1737933)
  * debian/control:
    - Move to salsa.debian.org.
    - Bump Standards-Version.
    - Orphan package.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 03 Feb 2018 15:39:17 +0100

directfb (1.7.7-6) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Configure flux for the build architecture (Closes: #872370)

  [ Sebastian Ramacher ]
  * debian/libdirectfb-dev.install: Remove dh-exex shebang, it's no longer
    needed.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 03 Sep 2017 22:38:56 +0200

directfb (1.7.7-5) unstable; urgency=medium

  * debian/{patches,*.install}: Turn libdavinci_c64x into a convenience
    library. (Closes: #872306)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 16 Aug 2017 12:05:52 +0200

directfb (1.7.7-4) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: Bump Standards-Version.
  * debian/*.preinst: Removed, no longer needed.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 15 Aug 2017 19:57:10 +0200

directfb (1.7.7-3) experimental; urgency=medium

  * debian/patches: add another missing file.
  * debian/copyright: Fix typo.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 20 Mar 2017 00:16:49 +0100

directfb (1.7.7-2) experimental; urgency=medium

  * debian/patches: Add missing files from upstream (Closes: #598976)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 16 Mar 2017 21:00:10 +0100

directfb (1.7.7-1) experimental; urgency=medium

  * New upstream release. (Closes: #645624) (LP: #1180318)
  * Build ++DFB package. (Closes: #413371)
  * SONAME bump: 1.4-6 -> 1.7-7.
  * debian/rules:
    - Enable mesa support.
    - Use dh_makeshlibs override since there are no symbol files at the
      moment.
    - Build with all hardening flags.
    - Use flux to re-generate .cpp/.h files from .flux files.
    - Disable uniquewm, because it does not build at the moment.
  * debian/copyright: Update using decopy and document flux.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 23 Feb 2017 23:45:05 +0100

directfb (1.4.17-1) experimental; urgency=medium

  * New upstream release.
  * SONAME bump: 0 -> 6.
  * Update upstream homepage to directfb.net everywhere.
  * debian/control: Adopt package. (Closes: #844130)
  * debian/{control,rules,compat}: Bump debhelper compat to 10.
  * Use -dbgsym packages. (Closes: #703157)
  * debian/rules:
    - Use dh more consistently.
    - Install NEWS as changelog.
  * debian/*.install:
    - Update for Multi-Arch paths.
    - Use dh-exec to simplify install files.
    - No longer install directfb-config. directfb provides pkg-config files.
    - Move directfb-csource to -bin.
    - Remove default font implementation, replaced by dgiff.
    - Do not install static libraries of drivers.
  * debian/{control,rules}: Remove udebs since GTK+ 2 switched to X11 years
    ago.
  * debian/control:
    - Fix dependencies in -dev.
    - Update Vcs-*.
    - Bump Standards-Version to 3.9.8.
    - Remove duplicate sections.
    - Drop libsysfs-dev (Closes: #689876)
    - Mark as M-A: same where possible.
    - Move libdirectfb-extras to Suggests.
  * debian/patches: Refresh patches and remove those integrated upstream.
  * debian/{rules,preinst}: Replace symlinks with directories.
  * debian/copyright: Convert to CF-1.0. Thanks to Thorsten Alteholz for some
    hints.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 26 Jan 2017 23:27:27 +0100

directfb (1.4.3-1.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Merge from 1.2.10.0-5.1:
    - d/control: drop build depend on libts-dev.
    - d/libdirectfb-1.4-0.install.*: drop install libdirectfb_tslib.so
    - d/libdirectfb-dev.install.*: drop install libdirectfb_tslib.a
  * Merge from 1.2.10.0-5:
    - add support for libpng 1.5.
    - replace libpng12-dev build dependency by libpng-dev.
  * Merge from 1.2.10.0-4.3:


=== debian/control ===
Source: directfb
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: dpkg-dev (>= 1.22.5),
 debhelper-compat (= 13),
 dh-exec,
 libdrm-dev,
 libfreetype6-dev,
 libgbm-dev,
 libgl1-mesa-dev,
 libgles2-mesa-dev,
 libjpeg-dev,
 libpng-dev,
 libx11-dev,
 libxext-dev,
 pkg-config,
 x11proto-core-dev,
 zlib1g-dev
Rules-Requires-Root: no
Standards-Version: 4.1.3
Section: libs
Homepage: http://www.directfb.net
Vcs-Git: https://salsa.debian.org/debian/directfb.git
Vcs-Browser: https://salsa.debian.org/debian/directfb

Package: libdirectfb-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libdirectfb-1.7-7t64 (= ${binary:Version}),
 lib++dfb-1.7-7t64 (= ${binary:Version}),
 libfreetype6-dev,
 libgl1-mesa-dev,
 libjpeg-dev,
 libmpeg3-dev,
 libpng-dev,
 libx11-dev,
 libxext-dev,
 pkg-config,
 x11proto-core-dev,
 zlib1g-dev,
 ${misc:Depends}
Description: direct frame buffer graphics library - development files
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the files needed to compile and link programs
 which use DirectFB.

Package: libdirectfb-1.7-7t64
Provides: ${t64:Provides}
Replaces: libdirectfb-1.7-7
Breaks: libdirectfb-1.7-7 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: libdirectfb-extra
Description: direct frame buffer graphics (shared libraries)
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the shared libraries and drivers.

Package: lib++dfb-1.7-7t64
Provides: ${t64:Provides}
Replaces: lib++dfb-1.7-7
Breaks: lib++dfb-1.7-7 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: direct frame buffer graphics (++DFB shared library)
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the ++DFB shared librariy.

Package: libdirectfb-bin
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks: libdirectfb-dev (<< 1.4.17-1)
Replaces: libdirectfb-dev (<< 1.4.17-1)
Description: direct frame buffer graphics - binaries
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the DirectFB background configuration tool
 and the source generation tool.

Package: libdirectfb-extra
Architecture: any
Multi-Arch: same
Depends:
 libdirectfb-1.7-7t64 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: direct frame buffer graphics - extra providers
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the following providers:
 .
   * image PNG
   * image JPEG
   * font FreeType
   * system X11

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/architecture.mk

conf_options  = --disable-osx
conf_options += --disable-sdl
conf_options += --disable-vnc
conf_options += --without-tests

conf_options += --enable-mesa
conf_options += --enable-x11
conf_options += --enable-zlib

ifeq ($(DEB_HOST_ARCH_OS),linux)
  conf_options += --with-gfxdrivers=all
  conf_options += --enable-video4linux2
else
  conf_options += --with-gfxdrivers=none
  conf_otpions += --with-inputdrivers=ps2mouse
endif

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean -Dflux
	dh_auto_clean

override_dh_auto_configure:
	dh_auto_configure -Dflux -- --host=$(DEB_BUILD_GNU_TYPE)
	dh_auto_build -Dflux
	cp -r flux-files/* .
	PATH=$(CURDIR)/flux/src:$$PATH \
		dh_auto_configure -- $(conf_options)

override_dh_auto_install:
	dh_auto_install -- -j1

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=4
http://www.directfb.net/index.php?path=Main/Downloads .*/DirectFB-(\d.*)\.tar\.gz
